# CreateCreditNoteAllocation

Allows you to allocate credit notes to outstanding invoices. For more information on credit notes in Xero visit the [Xero Business Help Centre](https://help.xero.com/int/Accounts_AR_AddCredit).

**Note:** To refund credit notes use the CreatePayment function.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Credit note id

The CreditNoteID of the credit note to allocate.

#### Allocation

The data for the allocation.

## Output

#### CreditNoteAllocation

The credit note allocation created.

## Links

[Xero Developer: Credit Notes (POST)](https://developer.xero.com/documentation/api/credit-notes#POST)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/creditnotes/createcreditnoteallocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
